[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# TellDir

Return current location in a directory

## Declaration

Source position: oldlinux.pp line 1438

`function TellDir(`
`p: PDir`
`):LongInt;`

## Description

TellDir returns the current location in the directory structure pointed to by p. It returns -1 on failure.

For an example, see OpenDir.

## Errors

Errors are returned in LinuxError.

## See also

CloseDir |  | Close directory file descriptor
ReadDir |  | Read entry from directory
SeekDir |  | Seek to position in directory
OpenDir |  | Open directory for reading

Documentation generated on: Feb 26 2014